<?php

require_once("modules/Administration/controller.php");

class CustomAdministrationController extends AdministrationController{

    public function action_pandadoctokens(){
        $this->view = "pandadoc";
    }

    public function action_savetokens(){
        $postElements = $_POST;

        $allowedModules = $postElements['allowed_modules'];
        $inject = $postElements['inject'];
        $tokens = $postElements['tokens'];
        $fields = $postElements['fields'];

        $finalTokens = array();
        foreach($tokens as $module=>$tokenArray){
            $moduleFields = $fields[$module];
            foreach($tokenArray as $key=>$token){
                if(!empty($token)){
                    $finalTokens[$module][$token] = $moduleFields[$key];
                }
            }
        }

        $admin = new Administration();
        $admin->saveSetting("pandadoc", "tokens", json_encode($finalTokens), "base");
        $admin->saveSetting("pandadoc", "allowedModules", json_encode($allowedModules), "base");
        $admin->saveSetting("pandadoc", "inject", $inject, "base");

        header('HTTP/1.1 301 Moved Permanently');
        header("Location: index.php?module=Administration&action=PandaDocTokens");
        exit();
    }
}
